<?xml version="1.0" encoding="GB2312"?>
<Config>
    <Global>
        <platform_flag>0</platform_flag>  <!-- 0: phone, 1: UDP -->
        <contractAdjust_flag>0</contractAdjust_flag> <!--0:关闭对比度调整,1: 开启对比度调整 -->
        <colorAdjust_flag>0</colorAdjust_flag><!--0:关闭颜色调整,1:开启颜色调整 -->
        <lumaAdjust_flag>0</lumaAdjust_flag><!--0:关闭亮度调整,1:开启亮度调整 -->
    </Global>
    <ColorAdjust>
        <contrast_param>7</contrast_param>          <!-- [0, 20]   : 对比度参数 越大 对比度增强越大 -->
        <color_adj_ratio>1.1</color_adj_ratio>        <!-- [1.0, 1.6]  : 饱和度参数 越大 饱和度越高 -->
    </ColorAdjust>
    <LumaAdjust>
        <luma_adjust_gain>-1</luma_adjust_gain>      <!-- [-20, 20] -->
    </LumaAdjust>
	<BlurEffect>
	    <smooth_transition>0</smooth_transition>   <!-- smooth transistion in froeground and background boundary, 0: use hard transition; 1: use soft transition-->
	    <circle_radius>2</circle_radius>   <!-- radius in circle filtering, [1, 10]  -->
		<group_circle_radius>2</group_circle_radius>   <!-- radius in circle filtering when group, [1, 10]  -->
		<color_facula>1</color_facula>  <!-- 0:关闭color facula,1：开启color facula  -->
		<Fnum_level>6</Fnum_level>  <!-- 光圈等级，控制虚化强弱 [0, 16]  -->
	</BlurEffect>
    <FaceCheck>
        <ratio_to_image>0.01</ratio_to_image> <!-- [0, 1], face, whose size is less than this_ratio * min(image_width, image_height), will be filtered -->
        <ratio_to_major_face>0.2</ratio_to_major_face> <!-- [0, 1], face, whose size is less than this_ratio * largest_face_size, will be filtered -->
        <face_recover>0</face_recover><!-- 0:关闭人脸保护,1：开启人脸保护 -->
    </FaceCheck>
    <HairRefine>
        <hair_refine>0</hair_refine>   <!-- 0:关闭头发保护,1：开启头发保护  -->
        <hair_area_ratio>1.0</hair_area_ratio>   <!-- [1.0, 1.25]  : area ratio越大 改善区域越大 -->
        <hair_refine_halo>0</hair_refine_halo>   <!-- 0:关闭头发黑晕优化,1：开启头发黑晕优化  -->
    </HairRefine>
    <SkinProtect>
        <skin_protect>1</skin_protect>   <!-- 0:关闭肤色保护,1：开启肤色保护  -->
    </SkinProtect>
    <EdgeProtect>
        <edge_protect>0</edge_protect>   <!-- 0:关闭edge_protect,1：开启edge_protect  -->
    </EdgeProtect>
    <InPaint>
        <in_paint>0</in_paint>   <!-- 0:关闭in paint,1：开启in paint  -->
    </InPaint>
    <ITR>
        <itr>1</itr>   <!-- [1, 2]:参数越大，外扩更少  -->
    </ITR>
    <PreviewConfig>
        <preview_mask_refine>1</preview_mask_refine>   <!-- 0:close mask refine,1: open mask refine  -->
        <preview_mask_multiface>1</preview_mask_multiface>   <!-- 0:close mask preview_mask_multiface,1: open mask preview_mask_multiface  -->
        <preview_calc_mask_interval>3</preview_calc_mask_interval>   <!-- [0,3], calculate mask interval -->
    </PreviewConfig>
	<IPUConfig>
		<useIPU>0</useIPU>   <!-- 0: Don't use IPU, 1: use IPU  -->
	</IPUConfig>
	<AIXConfig>
		<AIX_Enable>1</AIX_Enable>
		<AIX_UseGPU>0</AIX_UseGPU>   <!-- 0: AIX Don't use GPU, 1: AIX use GPU  -->
	</AIXConfig>
</Config>
